diff complete.sh @ 5:3287f7b9c47d draft

Uploaded
author davidvanzessen
date Fri, 05 Sep 2014 04:19:58 -0400
parents 778a9d130904
children 8b46fca04595
line wrap: on
line diff
--- a/complete.sh	Thu Sep 04 07:59:02 2014 -0400
+++ b/complete.sh	Fri Sep 05 04:19:58 2014 -0400
@@ -1,5 +1,5 @@
 #!/bin/bash
-
+set -e
 inputFiles=($1)
 outputDir=$3
 outputFile=$3/index.html #$1
@@ -31,7 +31,7 @@
 
 function imgtConvert {
 	echo "<tr><td>Starting imgt convert of sample $3 of patient $2</td></tr>" >> $html
-	bash $dir/imgtconvert.sh $1 $2 $3 $4
+	bash $dir/imgt_loader.sh $1 $4 $5
 	echo "<tr><td>Finished conversion of sample $3 of patient $2</td></tr>" >> $html
 	
 }
@@ -59,7 +59,7 @@
 	then
 		echo "<tr><td>Sample $count of patient $id is a zip file, using IMGT Loader</td></tr>" >> $html
 	  fileName=$(basename $current)
-		imgtConvert $current $id $count $parsedFileName &
+		imgtConvert $current $id $count $parsedFileName "${id}_${count}" &
 	else
 		echo "<tr><td>Sample $count of patient $id is not a zip file, using igBLASTn</td></tr>" >> $html
 		blastAndParse $current $id $count $fileName $parsedFileName &
@@ -74,12 +74,14 @@
 echo "<tr><td>-----------------------------------</td></tr>" >> $html
 echo "<tr><td>merging</td></tr>" >> $html
 
-python $dir/experimental_design.py ${mergerInput[*]}  --output $PWD/merged.txt
+python $dir/experimental_design.py ${mergerInput[*]} --output $PWD/merged.txt
 
 echo "<tr><td>done</td></tr>" >> $html
 echo "<tr><td>-----------------------------------</td></tr>" >> $html
 echo "<tr><td>plotting</td></tr>" >> $html
 
+echo "after ED"
+
 if [ "$locus" == "igh" ] || [ "$locus" == "igk" ] || [ "$locus" == "igl" ]; then
 	bash $dir/r_wrapper_b.sh $PWD/merged.txt $2 $outputDir $clonalType $species $locus $selection
 else